<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="css/detall.css">
    <link rel="stylesheet" href="css/header_footer.css">
    <script>
		function loadXMLDoc(filename) {
			//Abrimos una conexión con el servidor
			xhttp = new XMLHttpRequest();
			//Pedimos un fichero
			xhttp.open("GET", filename, false);
			try { xhttp.responseType = "msxml-document" } catch (err) { alert("Hay error"); } // Helping IE11
			xhttp.send("");
			return xhttp.responseXML;
		}

		//Funcion que nos permite recuperar el Identificador de la receta seleccionada
		//en la pantalla principal. Viene por la URL, método GET.
		function getId(sParametroNombre) {
			var sPaginaURL = window.location.search.substring(1);
			var sURLVariables = sPaginaURL.split('&');
			for (var i = 0; i < sURLVariables.length; i++) {
				var sParametro = sURLVariables[i].split('=');
				if (sParametro[0] == sParametroNombre) {
					return sParametro[1];
				}
			}
			return null;
		}


		function displayResult() {
			//Buscamos en la URL el parametro id usando la funcion getId
			var idReceta = getId('id');
			if (idReceta) {
				//Queremos cargar los ficheros XML y XSLT

				// CUIDADO!! Debes cambiar el nombre de los ficheros que quieres cargar.
				xml = loadXMLDoc("AJAX/xmls/detall" + idReceta + ".xml");
				xsl = loadXMLDoc("AJAX/detall.xsl");
				if (document.implementation && document.implementation.createDocument) {
					//Lanzamos el xsltproc que tiene el navegador
					xsltProcessor = new XSLTProcessor();
					xsltProcessor.importStylesheet(xsl);
					resultDocument = xsltProcessor.transformToFragment(xml, document);
					//El resultado de la transformación los ponemos dentro del elemento
					//section con identificador CONTENT-RECETAS
					document.getElementById("content-recetas").appendChild(resultDocument);
				}
			} else {
				alert("El parámetro no existe en la URL");
			}
		}
	</script>
</head>
<body onload="displayResult()">
    <header>
        <div class="logo">
            <img src="src/M4PLay.jpg" alt="LogoHome">
            <h1>Learning through play</h1>
        </div>
    </header>
    <div class="navegacion">
        <nav>
            <ul>
                <li>
                    <a href="indexPractica3.html">M04Play</a>
                </li>
                <li>
                    <a href="indexPractica3.html#section-videojuegos">videojuegos</a>
                </li>
                <li>
                    <a href="indexPractica3.html#section-noticias">Noticias</a>
                </li>
                <li>
                    <a href="indexPractica3.html#section-ranking">Ranking</a>
                </li>
                <li>
                    <a href="encuesta.html">Encuesta</a>
                </li>
                <li>
                    <a href="llista.html">Lista</a>
                </li>
            </ul><!-- Links-->
        </nav>
    </div>
    <main id="content-recetas">
    </main>
    <footer>
        <nav>
           <ul>
               <li>
                   <a href=""><img class="footer-logos-rs" src="src/instagram.png" alt="Instagram"></a>
               </li>
                <li>
                   <a href=""><img class="footer-logos-rs" src="src/facebook.png" alt="Facebook"></a>
               </li>
               <li>
                   <a href=""><img class="footer-logos-rs" src="src/twitter.png" alt="Twitter"></a>
               </li>
               <li>
                   <a href=""><img class="footer-logos-rs" src="src/youtube.png" alt="Youtube"></a>
               </li>
           </ul>
       </nav>
       <address>
           <p>Carrer d'aiguablava 121</p>
           <p>08033 Barcelona</p>
       </address>
       <p>
           <a href="">Copyright &copy; 2022-2023</a>
       </p>
   </footer>